Index: rtems/config/5/rtems-default.bset
===================================================================
--- rtems/config/5/rtems-default.bset	(revision 0794cc37eba9724ab25ad8970f32ba5101bf5e1b)
+++ rtems/config/5/rtems-default.bset	(revision f07d2b6e9ad70d62eb617a9f5515c5045ee0c119)
@@ -19,5 +19,5 @@
 
 tools/rtems-binutils-2.31.1
-tools/rtems-gcc-7.3.0-newlib-5835688440fb0b23fe991a04c7e2df54ded87657
+tools/rtems-gcc-7.3.0-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b
 tools/rtems-tools-5-1
 tools/rtems-kernel-5
Index: rtems/config/5/rtems-epiphany.bset
===================================================================
--- rtems/config/5/rtems-epiphany.bset	(revision 0794cc37eba9724ab25ad8970f32ba5101bf5e1b)
+++ rtems/config/5/rtems-epiphany.bset	(revision f07d2b6e9ad70d62eb617a9f5515c5045ee0c119)
@@ -35,5 +35,5 @@
 devel/expat-2.1.0-1
 tools/rtems-binutils-2.31.1
-tools/rtems-gcc-7.3.0-newlib-5835688440fb0b23fe991a04c7e2df54ded87657
+tools/rtems-gcc-7.3.0-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b
 tools/rtems-gdb-7.8.1-1
 tools/rtems-tools-5-1
Index: rtems/config/5/rtems-m32c.bset
===================================================================
--- rtems/config/5/rtems-m32c.bset	(revision 0794cc37eba9724ab25ad8970f32ba5101bf5e1b)
+++ rtems/config/5/rtems-m32c.bset	(revision f07d2b6e9ad70d62eb617a9f5515c5045ee0c119)
@@ -42,5 +42,5 @@
 devel/expat-2.1.0-1
 tools/rtems-binutils-2.31.1
-tools/rtems-gcc-4.8.3-newlib-5835688440fb0b23fe991a04c7e2df54ded87657
+tools/rtems-gcc-4.8.3-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b
 tools/rtems-gdb-8.0.1-1
 tools/rtems-tools-5-1
Index: rtems/config/5/rtems-or1k.bset
===================================================================
--- rtems/config/5/rtems-or1k.bset	(revision 0794cc37eba9724ab25ad8970f32ba5101bf5e1b)
+++ rtems/config/5/rtems-or1k.bset	(revision f07d2b6e9ad70d62eb617a9f5515c5045ee0c119)
@@ -34,5 +34,5 @@
 devel/expat-2.1.0-1
 tools/rtems-binutils-2.31.1
-tools/rtems-gcc-4.9.3-newlib-5835688440fb0b23fe991a04c7e2df54ded87657
+tools/rtems-gcc-4.9.3-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b
 tools/rtems-tools-5-1
 tools/rtems-gdb-7.11-2
Index: rtems/config/5/rtems-riscv.bset
===================================================================
--- rtems/config/5/rtems-riscv.bset	(revision 0794cc37eba9724ab25ad8970f32ba5101bf5e1b)
+++ rtems/config/5/rtems-riscv.bset	(revision f07d2b6e9ad70d62eb617a9f5515c5045ee0c119)
@@ -12,5 +12,5 @@
 devel/expat-2.1.0-1
 tools/rtems-binutils-906c6f2c54425f18eccb30e3ae54cbe620f0fe86
-tools/rtems-gcc-62cab5089882f91865e9040672f7932ae8d09db1-newlib-5835688440fb0b23fe991a04c7e2df54ded87657
+tools/rtems-gcc-62cab5089882f91865e9040672f7932ae8d09db1-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b
 tools/rtems-gdb-ce73f310150418a9a1625ab60a527d959096a9e2
 tools/rtems-tools-5-1
Index: rtems/config/tools/rtems-gcc-4.8.3-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b.cfg
===================================================================
--- rtems/config/tools/rtems-gcc-4.8.3-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b.cfg	(revision f07d2b6e9ad70d62eb617a9f5515c5045ee0c119)
+++ rtems/config/tools/rtems-gcc-4.8.3-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b.cfg	(revision f07d2b6e9ad70d62eb617a9f5515c5045ee0c119)
@@ -0,0 +1,10 @@
+%define gcc_version 4.8.3
+%hash sha512 gcc-%{gcc_version}.tar.bz2 2b40d231e8445f9c1654137df509f09ce1187b475138ca7f648f710d922a1718f740b2d8a37c26e16b5e27900c60358be98229ae884a6f1f70e9df44ad24d02b
+
+%define newlib_version 08eab6396f678cf5e5968acaed0bae9fd129983b
+%define newlib_external 1
+%define newlib_expand_name sourceware-mirror-newlib-cygwin-%{newlib_version}
+%source set newlib --rsb-file=newlib-%{newlib_version}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-newlib-cygwin/tar.gz/%{newlib_version}
+%hash sha512 newlib-%{newlib_version}.tar.gz c156de6e120ffa9f96c0ce9ea6fa84444d4be9ac12a5ce3b14bc9acbae9a882f49b055d1150dfa89fa50d9749e8da608694ca4ce24c43326e274a044ecdbd66c
+
+%include tools/rtems-gcc-4.8-newlib-2.2.0-1.cfg
Index: rtems/config/tools/rtems-gcc-4.9.3-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b.cfg
===================================================================
--- rtems/config/tools/rtems-gcc-4.9.3-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b.cfg	(revision f07d2b6e9ad70d62eb617a9f5515c5045ee0c119)
+++ rtems/config/tools/rtems-gcc-4.9.3-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b.cfg	(revision f07d2b6e9ad70d62eb617a9f5515c5045ee0c119)
@@ -0,0 +1,10 @@
+%define gcc_version 4.9.3
+%hash sha512 gcc-%{gcc_version}.tar.bz2 9ac57377a6975fc7adac704ec81355262b9f537def6955576753b87715470a20ee6a2a3144a79cc8fcba3443f7b44c7337d79d704b522d053f54f79aa6b442df
+
+%define newlib_version 08eab6396f678cf5e5968acaed0bae9fd129983b
+%define newlib_external 1
+%define newlib_expand_name sourceware-mirror-newlib-cygwin-%{newlib_version}
+%source set newlib --rsb-file=newlib-%{newlib_version}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-newlib-cygwin/tar.gz/%{newlib_version}
+%hash sha512 newlib-%{newlib_version}.tar.gz c156de6e120ffa9f96c0ce9ea6fa84444d4be9ac12a5ce3b14bc9acbae9a882f49b055d1150dfa89fa50d9749e8da608694ca4ce24c43326e274a044ecdbd66c
+
+%include tools/rtems-gcc-4.9-newlib-2.2.0-1.cfg
Index: rtems/config/tools/rtems-gcc-62cab5089882f91865e9040672f7932ae8d09db1-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b.cfg
===================================================================
--- rtems/config/tools/rtems-gcc-62cab5089882f91865e9040672f7932ae8d09db1-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b.cfg	(revision f07d2b6e9ad70d62eb617a9f5515c5045ee0c119)
+++ rtems/config/tools/rtems-gcc-62cab5089882f91865e9040672f7932ae8d09db1-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b.cfg	(revision f07d2b6e9ad70d62eb617a9f5515c5045ee0c119)
@@ -0,0 +1,29 @@
+%include %{_configdir}/checks.cfg
+%include %{_configdir}/base.cfg
+
+%define gcc_version 62cab5089882f91865e9040672f7932ae8d09db1
+%define gcc_external 1
+%define gcc_expand_name gnu-mirror-gcc-%{gcc_version}
+%source set gcc --rsb-file=%{gcc_expand_name}.tar.gz https://codeload.github.com/RTEMS/gnu-mirror-gcc/tar.gz/%{gcc_version}
+%hash sha512 %{gcc_expand_name}.tar.gz bae48539c8f45f1b8c1876838232b9048d33dd01b321f4159a8321328590c52b343f70559e1549d55cf9ab71fd82ebfda94c42027cbabe9634fe18a1da89b492
+
+%define newlib_version 08eab6396f678cf5e5968acaed0bae9fd129983b
+%define newlib_external 1
+%define newlib_expand_name sourceware-mirror-newlib-cygwin-%{newlib_version}
+%source set newlib --rsb-file=newlib-%{newlib_version}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-newlib-cygwin/tar.gz/%{newlib_version}
+%hash sha512 newlib-%{newlib_version}.tar.gz c156de6e120ffa9f96c0ce9ea6fa84444d4be9ac12a5ce3b14bc9acbae9a882f49b055d1150dfa89fa50d9749e8da608694ca4ce24c43326e274a044ecdbd66c
+
+%define mpfr_version 3.1.4
+%hash sha512 mpfr-%{mpfr_version}.tar.bz2 51066066ff2c12ed2198605ecf68846b0c96b548adafa5b80e0c786d0df488411a5e8973358fce7192dc977ad4e68414cf14500e3c39746de62465eb145bb819
+
+%define mpc_version 1.0.3
+%hash sha512 mpc-%{mpc_version}.tar.gz 0028b76df130720c1fad7de937a0d041224806ce5ef76589f19c7b49d956071a683e2f20d154c192a231e69756b19e48208f2889b0c13950ceb7b3cfaf059a43
+
+%define gmp_version 6.1.0
+%hash sha512 gmp-%{gmp_version}.tar.bz2 3c82aeab9c1596d4da8afac2eec38e429e84f3211e1a572cf8fd2b546493c44c039b922a1133eaaa48bd7f3e11dbe795a384e21ed95cbe3ecc58d7ac02246117
+
+%define with_threads 1
+%define with_plugin 0
+%define with_iconv 1
+
+%include %{_configdir}/gcc-7.2-1.cfg
Index: rtems/config/tools/rtems-gcc-7.3.0-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b.cfg
===================================================================
--- rtems/config/tools/rtems-gcc-7.3.0-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b.cfg	(revision f07d2b6e9ad70d62eb617a9f5515c5045ee0c119)
+++ rtems/config/tools/rtems-gcc-7.3.0-newlib-08eab6396f678cf5e5968acaed0bae9fd129983b.cfg	(revision f07d2b6e9ad70d62eb617a9f5515c5045ee0c119)
@@ -0,0 +1,34 @@
+%include %{_configdir}/checks.cfg
+%include %{_configdir}/base.cfg
+
+#
+# FreeBSD specific fix for MIPS
+#
+%if %{_build_os} == freebsd || %{_build_os} == darwin
+ %patch add gcc --rsb-file=freebsd-libgcc-sed-fix.patch -p0 https://gcc.gnu.org/bugzilla/attachment.cgi?id=41380
+ %hash  sha256 freebsd-libgcc-sed-fix.patch 8a11bd619c2e55466688e328da00b387d02395c1e8ff4a99225152387a1e60a4
+%endif
+
+%define gcc_version 7.3.0
+%hash sha512 gcc-%{gcc_version}.tar.xz ad41a7e4584e40e92cdf860bc0288500fbaf5dfb7e8c3fcabe9eba809c87bcfa85b46c19c19921b0cdf6d05483faede8287bb9ea120c0d1559449a70e602c8d4
+
+%define newlib_version 08eab6396f678cf5e5968acaed0bae9fd129983b
+%define newlib_external 1
+%define newlib_expand_name sourceware-mirror-newlib-cygwin-%{newlib_version}
+%source set newlib --rsb-file=newlib-%{newlib_version}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-newlib-cygwin/tar.gz/%{newlib_version}
+%hash sha512 newlib-%{newlib_version}.tar.gz c156de6e120ffa9f96c0ce9ea6fa84444d4be9ac12a5ce3b14bc9acbae9a882f49b055d1150dfa89fa50d9749e8da608694ca4ce24c43326e274a044ecdbd66c
+
+%define mpfr_version 3.1.4
+%hash sha512 mpfr-%{mpfr_version}.tar.bz2 51066066ff2c12ed2198605ecf68846b0c96b548adafa5b80e0c786d0df488411a5e8973358fce7192dc977ad4e68414cf14500e3c39746de62465eb145bb819
+
+%define mpc_version 1.0.3
+%hash sha512 mpc-%{mpc_version}.tar.gz 0028b76df130720c1fad7de937a0d041224806ce5ef76589f19c7b49d956071a683e2f20d154c192a231e69756b19e48208f2889b0c13950ceb7b3cfaf059a43
+
+%define gmp_version 6.1.0
+%hash sha512 gmp-%{gmp_version}.tar.bz2 3c82aeab9c1596d4da8afac2eec38e429e84f3211e1a572cf8fd2b546493c44c039b922a1133eaaa48bd7f3e11dbe795a384e21ed95cbe3ecc58d7ac02246117
+
+%define with_threads 1
+%define with_plugin  0
+%define with_iconv   1
+
+%include %{_configdir}/gcc-7.2-1.cfg
